Skip to main content
Returns data preview of the provided data source

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Query Parameters

maxResults
integer<int32>
default:10
Required range: 0 <= x <= 9223372036854776000

Body

application/vnd.composer.v3+json
name
string
required

Source name. It must be unique within the account

Maximum string length: 255
Example:

"Source Name"

description
string
Maximum string length: 1500
storage
object

Describes how and from where we get data

tags
string[]

Tags. Note: Tags are not supported as a sort parameter in the pagination API.

folderId
string

Optional folder ID for organizing the source within a project.

Example:

1111

positionConfiguration
object

Defines position configuration of collections in canvas

Response

The data source preview was returned successfully

metadata
object[]

Fields metadata for the data

data
any[][]

Data in tabular format. Field name can be retrieved from metadata by index